summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--plugins/ssh-agent/ssh-agent.plugin.zsh2
1 files changed, 1 insertions, 1 deletions
diff --git a/plugins/ssh-agent/ssh-agent.plugin.zsh b/plugins/ssh-agent/ssh-agent.plugin.zsh
index b668fa3b2..20f97c6f1 100644
--- a/plugins/ssh-agent/ssh-agent.plugin.zsh
+++ b/plugins/ssh-agent/ssh-agent.plugin.zsh
@@ -30,7 +30,7 @@ if [[ $_agent_forwarding == "yes" && -n "$SSH_AUTH_SOCK" ]]; then
elif [[ -f "$_ssh_env_cache" ]]; then
# Source SSH settings, if applicable
. $_ssh_env_cache > /dev/null
- pgrep ssh-agent | grep -q $SSH_AGENT_PID || {
+ ps x | grep ssh-agent | grep -q $SSH_AGENT_PID || {
_start_agent
}
else